> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# RequestRecipientFaxPDF

This is an alternative to using RequestRecipientFaxToken. Rather than returning a URL for a signing session, RequestReceipientFaxPDF returns PDF versions of a fax cover page and documents in an envelope for printing and signing. The recipient must still return the documents to Docusign by fax.

> **IMPORTANT:** Depending on the disclosure settings for your account, you might need to use RequestRecipientFaxToken to let the signer accept the Electronic Record and Signature Disclosure before using RequestRecipientFaxPDF.

Example: If your account requires a signer to accept the disclosure and your Electronic Record and Signature Disclosure frequency account setting is “Always” or it is the first time a signer is signing with your organization, then you must use RequestRecipientFaxToken so the signer can accept the disclosure before using RequestRecipientFaxPDF.

Using this method can prevent cross-domain browser issues that can occur when using RequestRecipientFaxToken by allowing API users to take the PDFBytes from the responses and streaming the PDF to the client from their servers.

The parameters for RequestRecipientFaxPDF are the same as those used when [requesting recipient tokens](/docs/esign-soap-api/esign101/embedding/integration/pre-ds-operations).

> **Note:** When requesting a Recipient Token, the ID in ClientUserID must use upper-case letters. If lower-case letters are used (ClientUserId) an error will occur.

The response returns the Envelope ID for the envelope and PDFBytes for the documents in the envelope.

**`Sample request XML`**

```php title="Sample request XML"
POST /api/3.0/api.asmx HTTP/1.1
Host: test.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/3.0/RequestRecipientFaxPDF"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <RequestRecipientFaxPDF xmlns="http://www.docusign.net/API/3.0">
         <EnvelopeID>string</EnvelopeID>
         <ClientUserID>string</ClientUserID>
         <Username>string</Username>
         <Email>string</Email>
         <AuthenticationAssertion>
            <AssertionID>string</AssertionID>
            <AuthenticationInstant>dateTime</AuthenticationInstant>
            <AuthenticationMethod>string</AuthenticationMethod>
            <SecurityDomain>string</SecurityDomain>
         </AuthenticationAssertion>
      </RequestRecipientFaxPDF>
   </soap:Body>
</soap:Envelope>
```

**`Sample response XML`**

```php title="Sample response XML"
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <RequestRecipientFaxPDFResponse xmlns="http://www.docusign.net/API/3.0">
         <RequestRecipientFaxPDFResult>
            <EnvelopeID>string</EnvelopeID>
            <PDFBytes>base64Binary</PDFBytes>
         </RequestRecipientFaxPDFResult>
      </RequestRecipientFaxPDFResponse>
   </soap:Body>
</soap:Envelope>
```